<div class="forgotPasswordBody">
  <div class="forgotPasswordForm">
    <form novalidate (ngSubmit)="resetPassword(body)" [formGroup]="body" autocomplete="off">
      <md-card>
        <div class="mdl-card__title mdl-card--expand">
          <img src="../../../assets/img/Yum-logo-small.png">
        </div>
        <h4 class="noMarginsPaddings" align="center">Forgot Password?</h4>
        <md-card-content>

          <div>
            <p class="pullMeMiddle">
              Enter your email address below and we'll send you password reset instructions.
            </p>

            <!--Email -->
            <md-input-container class="example-full-width formWidth">
              <input type="text" mdInput placeholder="Email" formControlName="email" />
              <md-error *ngIf="body.get('email').touched && body.get('email').hasError('required')">Email is required</md-error>
              <md-error *ngIf="body.get('email').touched && body.get('email').hasError('email')">Email is invalid</md-error>
            </md-input-container>
          </div>
          <md-card-actions>
            <div fxLayout="row" fxLayoutAlign="center center">
              <div fxFlex="25">
              </div>
              <button fxFlex="50" class="thisButton" [disabled]="body.get('email').invalid || loading " type="submit" md-raised-button
                color="accent">Reset Password</button>
              <div fxLayoutAlign="center center" fxFlex="25">
                <md-spinner style="float:right" *ngIf="loading"></md-spinner>
              </div>
            </div>
          </md-card-actions>

          <div class="pullMeMiddle mdl-card__actions mdl-card--border">
            <a class="skipUnderline" routerLink="/login" routerLinkActive="active">Back</a>
          </div>
          <div class="pullMeMiddle mdl-card__actions mdl-card--border">
          </div>

        </md-card-content>

      </md-card>
    </form>

  </div>
</div>
